.mask {
    position: fixed;
    top: 0;
    left: 0;
    width: 100%;
    height: 100%;
    background: rgba(0,0,0,0.5);
    z-index: 9999;
    display: flex;
    align-items: center;
    justify-content: center;
}
/* 弹窗容器 */
.alert-box {
    width: 380px;
    background: #fff;
    border-radius: 8px;
    position: absolute;
    top: 50%;
    left: 50%;
    transform: translate(-50%,-50%);
    overflow: hidden;
}
.alert-title {
    padding: 14px 18px;
    font-size: 16px;
    font-weight: bold;
    border-bottom: #eee 1px solid;
}
.alert-content {
    padding: 22px 18px;
    font-size: 14px;
    color: #333;
}
.alert-footer {
    text-align: right;
    padding: 12px 18px;
    border-top: #eee 1px solid;
}
.confirm-btn, .cancel-btn{
    padding: 6px 18px;
    border: none;
    border-radius: 4px;
    cursor: pointer;
}
.confirm-btn {
    background: linear-gradient(135deg, var(--red), #a8111c);
    color: white;
}
.confirm-btn:hover {
    background: linear-gradient(135deg, #ec1d2d, var(--red));
}

/* 加载弹窗容器 */
.loading-box {
    background: #fff;
    padding: 30px 40px;
    border-radius: 8px;
    display: flex;
    flex-direction: column;
    align-items: center;
}
/* 旋转加载动画 */
.loader {
    width: 40px;
    height: 40px;
    border: 4px solid #e8e8e8;
    border-top: 4px solid #409eff;
    border-radius: 50%;
    animation: spin 1s linear infinite;
}
@keyframes spin {
    0% { transform: rotate(0deg); }
    100% { transform: rotate(360deg); }
}
.loading-text {
    margin-top: 16px;
    font-size: 14px;
    color: #333;
}